/* Fonts */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

/* Libraries */
@import url(../vendor/corbzhamburger/hamburger.css);

@import url(./reset.css);
@import url(./variables.css);
@import url(./base.css);

/* Hero */

.hero {
    height: calc(100vh - var(--mobile-nav-height));
    width: 100%;
    background-image: url(../images/hero.webp);
    background-color: rgba(0, 0, 0, 0.2);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-blend-mode: multiply;
    position: relative;
}

.hero::before {
    content: "";
    height: 100%;
    width: 100%;
    background-image: linear-gradient(to top right, rgba(0, 168, 160, 0.7) 0%, rgba(0, 168, 160, 0.5) 28%, rgba(0, 168, 160, 0.2) 50%, rgba(0, 168, 160, 0) 100%);
    position: absolute;
}

.hero > .content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
}

.hero > .content > .title {
    text-align: center;
}

.hero > .content > .subtitle {
    font-weight: normal;
    text-align: center;
}

.hero > .content > a {
    margin-top: 10px;
}

@media only screen and (min-width: 950px) {
    .hero {
        height: 100vh;
        background-color: rgba(0, 0, 0, 0.4);
    }

    .hero::before {
        background-image: linear-gradient(to top right, rgba(0, 168, 160, 0.4) 0%, rgba(0, 168, 160, 0.2) 28%, rgba(0, 168, 160, 0) 100%);
    }

    .hero > .content {
        top: calc(50% + var(--mobile-nav-height));
    }
}

.section-banner {
    width: 100%;
    margin-top: var(--page-y-spacing);
    padding: 20px var(--page-x-deadzone);
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.section-banner > .title {
    width: 100%;
    text-align: center;
    position: relative;
    display: block;
}

.section-banner > .description {
    width: 100%;
    color: var(--secondary-text-color);
    font-weight: normal;
    text-align: center;
}

@media only screen and (min-width: 670px) {
    .section-banner {
        flex-direction: row;
    }

    .section-banner > .title {
        padding-right: 50px;
        text-align: left;
    }

    .section-banner > .title::after {
        content: "";
        height: 100%;
        width: 2.5px;
        background-color: var(--accent-color);
        position: absolute;
        top: 50%;
        left: 100%;
        transform: translateY(-50%);
        border-radius: 5px;
    }

    .section-banner > .description {
        padding-left: 50px;
        text-align: left;
    }
}

@media only screen and (min-width: 720px) {
    .section-banner.home-services {
        margin-top: calc(var(--page-y-spacing) + 99.4px);
    }
}

@media only screen and (min-width: 746px) {
    .section-banner.home-services {
        margin-top: calc(var(--page-y-spacing) + 82.6px);
    }
}

@media only screen and (min-width: 746px) {
    .section-banner.home-services {
        margin-top: var(--page-y-spacing);
    }
}

.about-home {
    width: 100%;
}

.about-home > .content {
    width: 100%;
    margin-top: var(--inner-section-spacing);
    padding: 0 var(--page-x-deadzone);
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.about-home > .content > .left {
    height: 250px;
    width: 100%;
}

.about-home > .content > .right {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.about-home > .content > .right > .top {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.about-home > .content .card {
    background-image: linear-gradient(to bottom right, rgba(0, 168, 160, 0.2) 0%, rgba(0, 168, 160, 0.2) 32%, rgba(0, 168, 160, 0.1) 56%, transparent 89%, rgba(0, 168, 160, 0.2) 100%);
    padding: 14px 17px;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    border-radius: 10px;
}

.about-home > .content .card > .content {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.about-home > .content .card > .content > .description {
    /* color: var(--primary-text-color) !important; */
    font-weight: normal;
}

.about-home > .content .light-card {
    width: 100%;
    border: 2.5px solid rgb(233, 233, 233);
    padding: 10px 17px;
    display: flex;
    flex-direction: column;
    gap: 5px;
    border-radius: 10px;
}

.about-home > .content .light-card > .description, .about-home > .content .card > .content > .description {
    font-size: 14px;
    color: var(--secondary-text-color);
}

.about-home > .content > .right > .top > .left {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.about-home > .content > .right > .top > .left > .bottom, .about-home > .content > .right > .top > .right {
    height: 250px;
}

@media only screen and (min-width: 720px) {
    .about-home > .content {
        flex-direction: row;
        justify-content: space-between;
        align-items: stretch;
        position: relative;
    }

    .about-home > .content > .left {
        min-width: 220px;
    }

    .about-home > .content > .left, .about-home > .content > .right {
        min-height: 450px;
        display: flex;
    }

    .about-home > .content > .right > .top {
        height: 100%;
    }

    .about-home > .content > .right > .top > .left {
        height: 100%;
    }

    .about-home > .content > .right > .top > .left > .bottom {
        height: 100%;
    }

    .about-home > .content > .right > .top > .right {
        height: unset;
    }

    .about-home > .content > .right > .top {
        flex-direction: row;
    }

    .about-home > .content > .right > .top > .right {
        height: 100%;
    }

    .about-home > .content > .right > .bottom {
        width: calc(100% - (var(--page-x-deadzone) * 2));
        position: absolute;
        left: var(--page-x-deadzone);
        top: calc(100% + 10px);
    }
}

@media only screen and (min-width: 800px) {
    .about-home > .content > .left {
        min-height: 400px;
        height: auto;
        min-width: 250px;
        /* min-height: 300px;
        max-height: 400px; */
    }

    .about-home > .content > .right {
        height: auto;
    }

    .about-home > .content > .right > .bottom {
        width: 100%;
        position: static;
        left: 0;
        top: 0;
    }
}

.services-home {
    width: 100%;
}

.services-home > .content {
    width: 100%;
    margin-top: var(--inner-section-spacing);
    padding: 0 var(--page-x-deadzone);
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.services-home > .content > .card {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.services-home > .content > .card > .images {
    display: flex;
    gap: 10px;
}

.services-home > .content > .card > .images > img {
    height: 150px;
    object-fit: cover;
    border-radius: 10px;
}

.services-home > .content > .card > .info {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.services-home > .content > .card > .info > .description {
    color: var(--secondary-text-color);
}

.services-home > .content > .card.odd > .images > img {
    width: 250px;
    object-position: top;
}

.services-home > .content > .card.even > .images > img {
    width: 60%;
}

.services-home > .content > .card.even > .images > img:nth-child(2) {
    width: 40%;
}

@media only screen and (min-width: 792px) {

    .services-home > .content > .card {
        flex-direction: row;
    }

    .services-home > .content > .card.even {
        flex-direction: row-reverse;
    }
    
    .services-home > .content > .card {
        justify-content: space-between;
    }

    .services-home > .content > .card > .info {
        justify-content: center;
        gap: 20px;
    }

    .services-home > .content > .card.odd > .info {
        width: 50%;
    }

    .services-home > .content > .card.odd > .images > img {
        width: 350px;
    }

    .services-home > .content > .card.even > .images {
        width: 50%;
    }

    .services-home > .content > .card > .images > img {
        height: 250px;
    }

    .services-home > .content > .card.even > .images > img {
        height: 220px;
        min-width: 200px;
        width: 60%;
    }

    .services-home > .content > .card.even > .info {
        max-width: 40%;
    }

    .services-home > .content > .card.even > .images > img:nth-child(2) {
        min-width: 170px;
        width: 40%;
    }
}

.contact-home {
    width: 100%;
    margin-top: var(--page-y-spacing);
}

.contact-home > .content {
    width: calc(100% - (var(--page-x-deadzone) * 2));
    background: var(--accent-background);
    margin: 0 auto;
    position: relative;
    border-radius: 10px;
}

.contact-home > .content > .left {
    height: 100%;
    width: 100%;
    padding: 20px;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.contact-home > .content > .left > .description {
    width: 100%;
    text-align: center;
}

.contact-home > .content > .right {
    display: none;
    position: relative;
    height: 160px;
    position: absolute;
    bottom: 0;
    right: 100px;
}

.contact-home > .content > .right > img.logo {
    height: 100%;
    width: 100%;
    position: relative;
    z-index: 2;
}

.contact-home > .content > .right > img.owner {
    height: calc(100% + 60px);
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
}

@media only screen and (min-width: 900px) {
    /* .contact-home {
        margin-top: calc(var(--page-y-spacing) + 40px);
    } */

    .contact-home > .content {
        height: 180px;
        display: flex;
        justify-content: space-between;
    }

    .contact-home > .content > .left {
        width: unset;
        max-width: 40%;
        justify-content: center;
        align-items: unset;
    }

    .contact-home > .content > .left > .description {
        text-align: left;
    }

    .contact-home > .content > .right {
        display: block;
    }
}

.page-banner {
    width: 100%;
    background: var(--accent-background);
    padding: 50px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.page-banner > .content > .title {
    color: white;
    letter-spacing: 1px;
}

.services {
    width: 100%;
    margin-top: var(--inner-section-spacing);
    padding: var(--page-x-deadzone);
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    gap: 25px;
    flex-wrap: wrap;
}

.services > .card {
    /* width: 33%; */
    max-width: 310px;
    display: flex;
    flex-direction: column;
    border: 2.5px solid rgb(233, 233, 233);
    border-radius: 10px;
    overflow: hidden;
    position: relative;
}

.services > .card > img {
    max-height: 210px;
    width: 100%;
    object-fit: cover;
}

.services > .card > .content {
    width: 100%;
    padding: 17px 13px;
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 14px;
}

.services > .card > .content > .title {
    width: 100%;
}

.services > .card > .content > .description {
    width: 100%;
    margin-top: 3px;
    color: var(--secondary-text-color);
}

.services > .card > .content > .cta-button {
    margin-top: auto;
}

.services.second > .card::after {
    content: attr(duration);
    background: var(--accent-background);
    padding: 2px 10px;
    position: absolute;
    top: 10px;
    right: 0;
    color: white;
    font-size: 14px;
    border-radius: 5px 0 0 5px;
}

/* Contact page */

.contact {
    width: 100%;
    margin-top: var(--page-y-spacing);
    padding: 0 var(--page-x-deadzone);
    display: grid;
    grid-template-columns: 1fr;
    gap: var(--page-y-spacing);
}

.contact > .left {
    display: flex;
    flex-direction: column;
    gap: 20px;
    flex: 1;
}

.contact > .left > .title {
    width: fit-content;
    position: relative;
}

.contact > .left > .title::after {
    content: "";
    height: 2.5px;
    width: 100%;
    background-color: var(--accent-color);
    position: absolute;
    top: 100%;
    left: 0;
    border-radius: 10px;
}

.contact > .left > .subtitle, .contact > .left > .note {
    color: var(--secondary-text-color);
    font-size: 14px;
    line-height: 1.6;
}

.contact > .left > .socials {
    width: 100%;
    display: flex;
    gap: 14px;
}

.contact > .left > .map {
    height: 100%;
    margin-top: auto;
    border-radius: 10px;
}

.contact > .left > .socials > a > svg {
    height: 20px;
}

.contact > .left > .socials > a > svg:hover {
    fill: var(--accent-color);
}

.contact > .right > form {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.contact > .right > form > .form-group {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr;
    gap: 14px;
}

.contact > .right > form .input-custom {
    width: 100%;
    padding: 10px;
    font-family: var(--primary-font);
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    border: none;
    border-radius: 10px;
    border: 2px solid var(--accent-color);
    outline: none;
    transition: border .1s ease;
}

.contact > .right > form textarea.input-custom {
    min-height: 150px;
    resize: vertical;
}

.contact > .right > form .input-custom:hover {
    border: 2px solid var(--accent-color-transparent);
}

.contact > .right > form fieldset {
    border: none;
}

.contact > .right > form legend {
    margin-bottom: 10px;
}

.contact > .right > form .select-wrapper {
    width: 100%;
    position: relative;
}

.contact > .right > form .select-wrapper > select {
    width: 100%;
    cursor: pointer;
}

.contact > .right > form .select-wrapper::after {
    content: "";
    height: 5px;
    width: 5px;
    display: block;
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%) rotate(45deg);
    border-right: 2px solid var(--accent-color);
    border-bottom: 2px solid var(--accent-color);
}

.contact > .right > form .cta-button {
    width: 100%;
    margin-top: 14px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    font-family: var(--primary-font);
    font-size: 16px;
    border: none;
}

.contact > .right > form .cta-button svg {
    height: 20px;
    fill: white;
}

@media only screen and (min-width: 850px) {
    .contact {
        grid-template-columns: 0.8fr 1.2fr;
        gap: 100px;
    }

    .contact > .left > .title {
        font-size: 40px;
    }

    .contact > .left > .subtitle, .contact > .left > .note {
        font-size: 16px;
    }

    .contact > .left > .socials {
        margin-bottom: 10px;
    }

    .contact > .right > form > .form-group {
        grid-template-columns: 1fr 1fr;
    }
}

/* News page */

.news {
    margin-top: var(--page-y-spacing);
    padding: 0 var(--page-x-deadzone);
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.news > .blog-highlight {
    width: 100%;
    display: none;
    flex-direction: column;
    gap: 25px;
}

.news > .blog-highlight > .left {
    width: 100%;
}

.news > .blog-highlight > .right {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.news > .blog-highlight .blog-card {
    overflow: hidden;
}

.news > .blog-highlight > .left > .top > h2 {
    margin-bottom: 25px;
}

.news .blog-card {
    width: 310px;
    display: flex;
    flex-direction: column;
    border: 2.5px solid rgb(233, 233, 233);
    border-radius: 10px;
    overflow: hidden;
    position: relative;
}

.news .blog-card > .blog-visual {
    max-height: 210px;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.news .blog-card > .content {
    width: 100%;
    padding: 17px 13px;
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.news .blog-card > .content > .title {
    width: 100%;
}

.news .blog-card > .content > .description {
    width: 100%;
    margin-top: 3px;
    color: var(--secondary-text-color);
}

.news .blog-card > .content > a {
    width: fit-content;
    margin-top: auto;
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: bold;
    color: var(--accent-color);
    border-bottom: 2px dashed var(--accent-color);
    gap: 5px;
    cursor: pointer;
}

.news .blog-card > .content > a > svg {
    height: 20px;
    fill: var(--accent-color);
}

.news .blog-card > .content > a:hover, .news .blog-card > .content > a:hover > svg {
    color: var(--accent-hover-color);
    fill: var(--accent-hover-color);
    border-bottom: 2px dashed var(--accent-hover-color);
}

.news > .all-posts {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 25px;
}

@media only screen and (min-width: 1000px) {
    .news > .all-posts .blog-card:nth-child(-n+3) {
        display: none;
    }

    .news > .blog-highlight {
        display: flex;
        flex-direction: row;
        gap: 25px;
    }

    .news > .blog-highlight > .left {
        width: 80%;
        /* flex: 1; */
    }

    .news > .blog-highlight > .right {
        width: 20%;
    }

    .news > .blog-highlight > .left > .top > h2 {
        font-size: 40px;
    }

    .news > .blog-highlight .blog-card {
        max-width: unset;
        width: 100%;
        border: none;
    }

    .news > .blog-highlight > .left .blog-card {
        height: 550px;
    }

    .news > .blog-highlight > .left .blog-card > .blog-visual {
        max-height: unset;
    }

    .news > .blog-highlight .blog-card > .content {
        width: calc(100% - 20px);
        background-color: var(--primary-color);
        position: absolute;
        bottom: 10px;
        left: 50%;
        transform: translateX(-50%);
        border-radius: 10px;
    }

    .news > .blog-highlight > .right {
        display: flex;
        flex-direction: column;
        gap: 25px;
    }

    .news > .blog-highlight > .right .blog-card {
        height: 50%;
    }

    .news > .blog-highlight > .right .blog-card > .blog-visual {
        max-height: unset;
        height: 100%;
    }

    /* .news > .blog-highlight > .right .blog-card > .content {
        position: absolute;
        bottom: 10px;
        left: 50%;
        transform: translateX(-50%);
        border-radius: 10px;
    } */
}

/* Partners page */

.partners {
    width: 100%;
}

.partners > .content {
    width: 100%;
    margin-top: var(--page-y-spacing);
    padding: 0 var(--page-x-deadzone);
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.partners > .content > .card {
    max-width: 250px;
    width: 100%;
    background-color: var(--primary-color);
    padding: 30px 25px;
    display: flex;
    flex-direction: column;
    /* justify-content: center; */
    align-items: center;
    border-radius: 10px;
    border: 2.5px solid rgb(233, 233, 233);
    position: relative;
}

.partners > .content > .card > img {
    height: 70px;
    max-width: 100%;
    object-fit: contain;
}

.partners > .content > .card > .action-button {
    background-color: transparent;
    display: flex;
    align-items: center;
    position: absolute;
    bottom: 5px;
    right: 2px;
    font-family: var(--primary-font);
    color: var(--accent-color);
    border: none;
    outline: none;
    cursor: pointer;
}

.partners > .content > .card > .action-button > svg {
    fill: var(--accent-color);
    height: 1rem;
}

/* Popup for card */

.partners > #partner-popup {
    display: none;
    position: relative;
}

.partners > #partner-popup.show {
    display: block;
}

.partners > #partner-popup > .content {
    max-width: 350px;
    width: calc(100% - (var(--page-x-deadzone) * 2));
    background-color: white;
    padding: 38px 20px 20px 20px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    border-radius: 10px;
}

.partners > #partner-popup > .content > .close {
    background-color: red;
    padding: 2px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 4px;
    left: 4px;
    border: none;
    outline: none;
    border-radius: 10px;
    cursor: pointer;
}

.partners > #partner-popup > .content > .close > svg {
    fill: white;
}

.partners > #partner-popup > .content > .title {
    width: 100%;
    text-align: center;
}

.partners > #partner-popup > .content > .description {
    margin-top: 20px;
    font-size: 14px;
    color: var(--secondary-text-color);
}

.partners > #partner-popup > .overlay {
    height: 100vh;
    width: 100vw;
    background-color: rgba(0, 0, 0, 0.2);
    -webkit-backdrop-filter: blur(2px);
    backdrop-filter: blur(2px);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1;
}

/* Resources page */

/* Downloads */

.resources-downloads {
    width: 100%;
    margin-top: var(--page-y-spacing);
    padding: 0 0 0 var(--page-x-deadzone);
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.resources-downloads > .content {
    width: 100%;
    padding-bottom: 10px;
    padding-right: var(--page-x-deadzone);
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
    gap: 10px;
    -webkit-overflow-scrolling: touch;
}

.resources-downloads > .content > .card {
    background-color: var(--accent-hover-color);
    padding: 10px;
    display: flex;
    flex-direction: column;
    flex: 0 0 280px;
    gap: 2px;
    color: white;
    border-radius: 10px;
}

.resources-downloads > .content > .card > .subtitle {
    font-weight: normal;
}

.resources-downloads > .content > .card > .description {
    margin-top: 14px;
    margin-bottom: 14px;
    font-size: 14px;
    line-height: 1.4;
}

.resources-downloads > .content > .card > a {
    width: fit-content;
    margin-top: auto;
    display: flex;
    align-items: center;
    gap: 2px;
    font-size: 13px;
    color: white;
    text-decoration: none;
}

.resources-downloads > .content > .card > a > svg {
    fill: white;
    height: 20px;
}

/* videos */

.resources-videos {
    width: 100%;
    margin-top: var(--page-y-spacing);
    padding: 0 0 0 var(--page-x-deadzone);
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.resources-videos > .content {
    width: 100%;
    padding-right: var(--page-x-deadzone);
    display: flex;
    flex-wrap: nowrap;
    gap: 10px;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

.resources-videos > .content > .card {
    display: flex;
    flex-direction: column;
    gap: 10px;
    flex: 0 0 320px;
}

.resources-videos > .content > .card > .video {
    width: 100%;
    position: relative;
}

.resources-videos > .content > .card > .video > iframe {
    width: 100%;
    height: 250px;
    border-radius: 10px;
    border: 2px solid rgb(233, 233, 233);
}

.resources-videos > .content > .card > .video > .details {
    width: fit-content;
    background-color: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    padding: 5px;
    position: absolute;
    top: 3.1px;
    left: 3.1px;
    border-radius: 10px;
}

.resources-videos > .content > .card > .video > .details > .subtitle {
    font-weight: normal;
}

.resources-videos > .content > .card > .description {
    font-size: 14px;
    color: var(--secondary-text-color);
}

/* Article page */

#article-image {
    width: 100%;
    max-height: 500px;
    object-fit: cover;
    object-position: center;
}

#article-description {
    margin-top: 10px;
    padding: 0 var(--page-x-deadzone);
    font-size: 16px;
    color: var(--secondary-text-color);
}

@media only screen and (min-width: 650px) {
    #article-image {
        max-height: 650px;
        width: calc(100% - (var(--page-x-deadzone) * 2));
        margin: var(--page-y-spacing) var(--page-x-deadzone) 0 var(--page-x-deadzone);
        border-radius: 10px;
    }
}